Subject: Re: bug#68483: Qutebrowser QT platform plugin could not be initialized

From: Sergey Trofimov <[email-masked]>
Date: Tue, 16 Jan 2024 11:47:22 +0100

Clément Lassieur <[email-masked]> writes:

> On Mon, Jan 15 2024, chris wrote:
>
>> On  1月15日 月, chris wrote:
>>> On  1月16日 火, Sergey Trofimov wrote:
>>> >
>>> > Here you go:
>>> > ```sh
>>> > qtw=$(guix build qtwayland@6)/lib/qt6/plugins
>>> > QT_PLUGIN_PATH=$qtw 
>>> > QT_QPA_PLATFORM_PLUGIN_PATH=$qtw/platforms qutebrowser -s 
>>> > qt.force_platform wayland
>>> > ```
>>
>> I tried this command again just now and succeeded this time. I 
>> must have done something wrong the first time.
>>
>> Thank you Sergey!
>
> Hi,
>
> Would this work with non-wayland users too?  (So that it would 
> make
> sense to add it to the main package?)
>
> Thanks,
> Clément

Yeah, it would work, but forcing the platform through parameters 
is not necessary. I added it just to be sure that wayland is being 
used instead of xcb. On the other hand I think adding qtwayland 
dependency to every qt-based gui program doesn't make sense. Maybe 
a qtwayland-home-service makes more sense which would install the 
dependency and set required environment variables. This way it 
would work for every Qt GUI program on wayland.